Skip to main content
PUT
Update custom property

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required
type
enum<string>
required
Available options:
date,
boolean,
number,
text,
select,
multi_select
slug
string
required
entities
enum<string>[]
required
Available options:
customer,
product,
plan,
quote,
subscription,
invoice
api_only
boolean | null
default:false
authorized_values
string[] | null

Response

201 - application/json
id
string
required

Custom property ID.

Example:

"cfi_efnjehRH304"

name
string
required

Custom property name.

Example:

"Test custom property"

slug
string
required

Custom property unique slug.

Example:

"test_custom_property"

type
enum<string>
required

Custom property type.

Available options:
date,
boolean,
number,
text,
select,
multi_select
entities
enum<string>[]
required

Entities on which the custom property is available.

Available options:
customer,
product,
plan,
quote,
subscription,
invoice
authorized_values
string[] | null
required

If the custom property is of type select this is the list of available values.

created_at
string<date-time>
required

Creation date of the custom property.

Example:

"2024-01-01T22:00:00Z"

updated_at
string<date-time>
required

Update date of the custom property.

Example:

"2024-01-01T22:00:00Z"

api_only
boolean
default:false

If true the custom property will not be displayed in the interface.